
package de.ivu.elect.presentation.staat.menu;

import javax.inject.Inject;

import de.ivu.elect.business.staat.entity.StaatMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractImportMenuItemEntry;
import de.ivu.elect.presentation.staat.exchange.StaatImportDescription;

public class StaatImportMenuItemEntry extends AbstractImportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient StaatMeta staatMeta;

  @Inject
  private transient StaatImportDescription importDescription;

  public StaatImportMenuItemEntry() {
    super();
  }

  @Override
  protected ImportDescription getImportDescription() {
    return importDescription;
  }

  @Override
  protected Meta getMeta() {
    return staatMeta;
  }
}
